# -*- coding: utf-8 -*-

from django.conf.urls import url

from account import tourguide_views
from group import lensman_views
from page import info_views, oauth_views, page_views, preauth_views, sale_views, screen_views, supersr_views


urlpatterns = [
    url(r'^user_agreement$', page_views.user_agreement, name='user_agreement'),  # 用户协议页面
    url(r'^contact_us$', page_views.contact_us, name='contact_us'),  # 联系我们页面
    url(r'^price$', page_views.lensman_price, name='lensman_price'),  # 摄影师照片价格和分成规则
]

urlpatterns += [
    url(r'^lensman$', oauth_views.lensman_oauth, name='lensman_oauth'),  # 摄影师授权页面
    url(r'^tourguide$', oauth_views.tourguide_oauth, name='tourguide_oauth'),  # 导游授权页面
    url(r'^loginqr$', oauth_views.login_qrcode, name='login_qrcode'),  # 登录二维码页面
]

# 摄影师相关
urlpatterns += [
    url(r'^l/submit$', lensman_views.lensman_submit_api, name='lensman_submit_api'),  # 摄影师信息提交
]

# 导游相关
urlpatterns += [
    url(r'^t/submit$', tourguide_views.tourguide_submit_api, name='tourguide_submit_api'),  # 导游信息提交
]

urlpatterns = [
    url(r'^clerk$', oauth_views.clerk_oauth, name='clerk_oauth'),  # 店员授权页面
    url(r'^clerk/info$', info_views.clerk_info_oauth, name='clerk_info_oauth'),  # 店员信息授权页面
]

# 微信第三方平台
urlpatterns += [
    url(r'^preauth$', preauth_views.preauth, name='preauth'),
    url(r'^preauth/success$', preauth_views.preauth_success, name='preauth_success'),
]

urlpatterns += [
    url(r'^qr$', screen_views.screen_admin_oauthqr, name='oauthqr'),
    url(r'^screen/admin/oauth$', screen_views.screen_admin_oauth, name='screen_admin_oauth'),
    url(r'^screen/admin/login$', screen_views.screen_admin_login, name='screen_admin_login'),
]

# 超级销售担当
urlpatterns += [
    url(r'^supersr/qr$', supersr_views.supersr_oauthqr, name='supersr_oauthqr'),  # 授权二维码
    url(r'^supersr/oauth$', supersr_views.supersr_oauth, name='supersr_oauth'),  # 授权成功
]
